Subject: bug#36697: 27.0.50; gnus: some articles with score 0 are killed

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 17 Apr 2022 20:08:39 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I'm all for rewriting this...  unless it makes Gnus significantly
> slower.  Usability takes precedence over code prettiness.  But computers
> have gotten slightly faster the last 30 years.
>
> So if this can be rewritten to be backwards-compatible (and fast), but
> not have the negated character class quirk, that'd be nice.  I think
> when Per wrote this stuff, the re-search approach was like a 10x speedup
> over the loop-and-string-match approach.

I think the conclusion here is that we don't really envision changing
anything here, so I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no